Skip to main content
GET
/
api
/
v1
/
service_principals
/
{service_principal_id}
/
credentials
/
{id}
GetCredential
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.Principal.GetCredential(ctx, operations.C1APIServicePrincipalV1ServicePrincipalServiceGetCredentialRequest{
        ID: "<id>",
        ServicePrincipalID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ServicePrincipalServiceGetCredentialResponse != nil {
        // handle response
    }
}
{
  "credential": {
    "allowSourceCidrs": [
      "<string>"
    ],
    "clientId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "displayName": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "lastUsedAt": "2023-11-07T05:31:56Z",
    "requireDpop": true,
    "scopedRoleIds": [
      "<string>"
    ],
    "servicePrincipalId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

service_principal_id
string
required

The service principal ID.

id
string
required

The credential ID to get.

Response

200 - application/json

Successful response

The ServicePrincipalServiceGetCredentialResponse message.

credential
Service Principal Credential · object

ServicePrincipalCredential represents a client credential for a service principal.